ranges::actions::transform_fn Struct Reference

## Synopsis of methods

constexpr transform_fn | transform {}

## Public Member Functions

template<typename F , typename P = identity>
constexpr auto | operator() (F fun, P proj=P{}) const requires(!range< F >)
template<typename Rng , typename F , typename P = identity>
auto | operator() (Rng &&rng, F fun, P proj=P{}) const -> Rng requires input_range< Rng > &&copy_constructible< F > &&writable< iterator_t< Rng >, indirect_result_t< F &, projected< iterator_t< Rng >, P >>>

## Methods

## transform

constexpr transform_fn transform {}

related